<?php
include '/var/www/rennergy/conf/global_config.php';

// XML-Datei automatisch erstellen
$xml = new DOMDocument('1.0', 'utf-8');
$xml->formatOutput = true;

$rss = $xml->createElement('rss');
$rss->setAttribute('version', '2.0');
$xml->appendChild($rss);

$channel = $xml->createElement('channel');
$rss->appendChild($channel);

// Head des Feeds
$head = $xml->createElement('title', 'Rennergy RSP 30');
$channel->appendChild($head);

$head = $xml->createElement('description', 'Heizungswerte');
$channel->appendChild($head);

$head = $xml->createElement('language', 'de');
$channel->appendChild($head);

$head = $xml->createElement('link', 'https://'.$dnsname.':'.$port);
$channel->appendChild($head);

// Aktuelle Zeit, falls time() in MESZ ist, muss 1 Stunde abgezogen werden
$head = $xml->createElement('lastBuildDate', date("D, j M Y H:i:s ", time() - 3600).'GMT');
$channel->appendChild($head);

// Feed Einträge
    $item = $xml->createElement('item');
    $channel->appendChild($item);

    $data = $xml->createElement('title', "Datum/Uhrzeit: $newDate $newTime");
    $item->appendChild($data);

    $data = $xml->createElement('description', "Aussentemperatur: $aussen"."°C<p>Kessel Zustand: $zustandrss<p>Kessel Temperatur: $ktemp"."°C<p>HK1 Soll/Ist: $hk1s"."℃ / $hk1i"."℃<p>Frischwasserstation: $fwt"."°C<p>Speicher: $puffer"."%<p>Fühler 1-3: $pf1"."°C / $pf2"."°C / $pf3"."°C");
    $item->appendChild($data);

    $data = $xml->createElement('link', 'https://'.$dnsname.':'.$port);
    $item->appendChild($data);

    $data = $xml->createElement('pubDate', date("D, j M Y H:i:s ", time() - 3600).'GMT');
    $item->appendChild($data);

    $data = $xml->createElement('guid', 'https://'.$dnsname.':'.$port);
    $item->appendChild($data);

// Speichere XML Datei
$xml->save('/var/www/rennergy/rss/rss_short.xml');

// Rufe die XML Datei auf
Header('Location: http://'.$dnsname.'/rss.xml');
?>
